Package com.mockobjects.constraint

# Class IsLessThan

java.lang.Object
com.mockobjects.constraint.IsLessThan

All Implemented Interfaces:
  `Constraint`

public class IsLessThan extends Object implements Constraint
Is the value less than another `Comparable` value?

## Constructor Summary

Constructors
Constructor
Description
`IsLessThan(Comparable o)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`eval(Object arg)`
Evaluates the constraint for argument o.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IsLessThan

public IsLessThan(Comparable o)

## Method Details

### eval

public boolean eval(Object arg)
Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Returns:
  `true` if o meets the constraint, `false` if it does not.

### toString

public String toString()

Overrides:
  `toString` in class `Object`